        </div> <!-- Close main container -->

        <footer class="footer mt-auto py-3 bg-light">
            <div class="container">
                <div class="row">
                    <div class="col-md-4">
                        <h5>Order & Ads Analytics</h5>
                        <p class="text-muted">Manage your orders and advertising analytics efficiently.</p>
                    </div>
                    <?php if (isset($_SESSION['role']) && $_SESSION['role'] === 'admin'): ?>
                    <div class="col-md-4">
                        <h5>Quick Links</h5>
                        <ul class="list-unstyled">
                            <li><a href="admin.php" class="text-decoration-none">Admin Dashboard</a></li>
                            <li><a href="orders.php" class="text-decoration-none">Order Management</a></li>
                            <li><a href="upload.php" class="text-decoration-none">Upload Data</a></li>
                            <li><a href="fb_ads_analysis.php" class="text-decoration-none">FB Ads Analysis</a></li>
                        </ul>
                    </div>
                    <?php endif; ?>
                    <div class="col-md-4">
                        <h5>User Info</h5>
                        <p class="text-muted mb-1">Logged in as: <?php echo htmlspecialchars($_SESSION['username']); ?></p>
                        <p class="text-muted mb-1">Role: <?php echo ucfirst(htmlspecialchars($_SESSION['role'])); ?></p>
                        <a href="logout.php" class="btn btn-sm btn-outline-danger">Logout</a>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-12 text-center">
                        <p class="text-muted mb-0">&copy; <?php echo date('Y'); ?> Order & Ads Analytics. All rights reserved.</p>
                    </div>
                </div>
            </div>
        </footer>

        <!-- Bootstrap Bundle with Popper -->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
        
        <!-- DataTables -->
        <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.11.5/js/dataTables.bootstrap5.min.js"></script>

        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

        <!-- Custom Scripts -->
        <script>
        // Initialize all tooltips
        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
            return new bootstrap.Tooltip(tooltipTriggerEl)
        });

        // Initialize all popovers
        var popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'))
        var popoverList = popoverTriggerList.map(function (popoverTriggerEl) {
            return new bootstrap.Popover(popoverTriggerEl)
        });

        // Add loading spinner to buttons when clicked
        document.querySelectorAll('.btn').forEach(button => {
            button.addEventListener('click', function() {
                if (!this.classList.contains('no-spinner') && !this.classList.contains('dropdown-toggle')) {
                    this.innerHTML = '<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> Loading...';
                    this.disabled = true;
                }
            });
        });
        </script>
    </div>
</body>
</html> 